Legend for external layers

property

  {string} name

property

  {string} url

property

  {string} title

### Hierarchy

- ngeoDatasourceOGC
  - default

## Index

### Constructors

- constructor

### Properties

- attributes
- dimensionsConfig
- dimensionsFiltersConfig
- filterCondition_
- filterRules
- filtrable
- inRange
- timeLowerValue
- timeUpperValue
- visible
- wfsUrl_

### Accessors

- activeDimensions
- combinableForWFS
- combinableForWMS
- copyable
- dimensions
- filterCondition
- id
- identifierAttribute
- legend
- maxResolution
- minResolution
- name
- ogcAttributesWFS
- ogcAttributesWMS
- ogcImageType
- ogcServerType
- ogcType
- queryIconPosition
- queryable
- snappable
- snappingToEdges
- snappingToVertice
- snappingTolerance
- supportsAttributes
- supportsDynamicInRange
- supportsWFS
- supportsWMS
- supportsWMTS
- timeAttributeName
- timeProperty
- timeRangeValue
- wfsFeatureNS
- wfsFeaturePrefix
- wfsFormat
- wfsLayers
- wfsOutputFormat
- wfsUrl
- wmsFormat
- wmsInfoFormat
- wmsIsSingleTile
- wmsLayers
- wmsUrl
- wmtsLayer
- wmtsUrl

### Methods

- combinableWithDataSourceForWFS
- combinableWithDataSourceForWMS
- geometryName
- getAttributes
- getCommonOGCAttributes_
- getFiltrableWFSLayerName
- getInRangeWFSLayerNames
- getWFSLayerNames
- getWMSLayerNames
- haveTheSameActiveDimensions
- haveTheSameActiveDimensionsFilters
- isAnyOGCLayerInRange
- setAttributes

## Constructors

### constructor

- new default(options: OGCOptions, legend: Legend): default

- Overrides ngeoDatasourceOGC.constructor

  - Defined in src/datasource/ExternalOGC.js:41

  A `gmf.externalDatasource.OGC` extends a `ngeo.datasource.OGC` and adds some properties that are proper to GMF and external dataSource only.

  #### Parameters

  - ##### options: OGCOptions

    Options.

  - ##### legend: Legend

    The legend object.

  #### Returns default

## Properties

### attributes

attributes: Attribute[]

Inherited from ngeoDatasourceOGC.attributes

- Defined in src/datasource/DataSource.js:105

The attributes of the data source.

Note: `attributes` is not using the conventionnal getter/setter due to: See: https://github.com/google/closure-compiler/issues/1089

### dimensionsConfig

dimensionsConfig: Object

Inherited from ngeoDatasourceOGC.dimensionsConfig

- Defined in src/datasource/OGC.js:257

The dimensions configuration for the data source.

### dimensionsFiltersConfig

dimensionsFiltersConfig: Object

Inherited from ngeoDatasourceOGC.dimensionsFiltersConfig

- Defined in src/datasource/OGC.js:264

The dimensions applied by filters configuration for the data source.

### filterCondition_

filterCondition_: string

Inherited from ngeoDatasourceOGC.filterCondition_

- Defined in src/datasource/OGC.js:271

The filter condition to apply to the filter rules (if any).

### filterRules

filterRules: default[]

Inherited from ngeoDatasourceOGC.filterRules

- Defined in src/datasource/OGC.js:279

A list of filter rules to apply to this data source using the filter condition.

### filtrable

filtrable: boolean

Inherited from ngeoDatasourceOGC.filtrable

- Defined in src/datasource/OGC.js:289

Whether the data source is filtrable or not. When `null`, that means that we do not know if the data source if filtrable or not, yet. In that case, the value of the property needs to be determined from an external way.

### inRange

inRange: boolean

Inherited from ngeoDatasourceOGC.inRange

- Defined in src/datasource/DataSource.js:85

A data source is considered 'in range' when it is synchronized to a map view and the resolution of that view is within the range of the `maxResolution` and `minResolution`. These 2 properties are required for the `inRange` property to be dynamic, otherwise its value is always `true` by default.

The synchronization is made in the `import('ngeo/datasource/DataSource').DataSources` service.

### timeLowerValue

timeLowerValue: number

Inherited from ngeoDatasourceOGC.timeLowerValue

- Defined in src/datasource/OGC.js:430

Time lower value.

### timeUpperValue

timeUpperValue: number

Inherited from ngeoDatasourceOGC.timeUpperValue

- Defined in src/datasource/OGC.js:443

Time upper value.

### visible

visible: boolean

Inherited from ngeoDatasourceOGC.visible

- Defined in src/datasource/DataSource.js:93

Whether the data source is visible or not, i.e. whether its is ON or OFF. Defaults to `false`.

### wfsUrl_

wfsUrl_: string

Inherited from ngeoDatasourceOGC.wfsUrl_

- Defined in src/datasource/OGC.js:474

The url to use for (WFS) requests.

## Accessors

### activeDimensions

- get activeDimensions(): Object

- Inherited from ngeoDatasourceOGC.activeDimensions

  - Defined in src/datasource/OGC.js:851

  #### Returns Object

  Active dimensions

### combinableForWFS

- get combinableForWFS(): boolean

- Inherited from ngeoDatasourceOGC.combinableForWFS

  - Defined in src/datasource/OGC.js:882

  A data source can't be combined to other data source to issue a single WFS request if:

  - it has filter rules set
  - it has time range set

  #### Returns boolean

  Whether the data source can be combined to an other data source to fetch features in a single WFS request.

### combinableForWMS

- get combinableForWMS(): boolean

- Inherited from ngeoDatasourceOGC.combinableForWMS

  - Defined in src/datasource/OGC.js:896

  A data source can't be combined to other data source to issue a single WMS request if:

  - it has filter rules set
  - it has time range set

  #### Returns boolean

  Whether the data source can be combined to an other data source to fetch features in a single WMS request.

### copyable

- get copyable(): boolean

- Inherited from ngeoDatasourceOGC.copyable

  - Defined in src/datasource/OGC.js:669

  #### Returns boolean

  Copyable

### dimensions

- get dimensions(): Object

- Inherited from ngeoDatasourceOGC.dimensions

  - Defined in src/datasource/OGC.js:604

  #### Returns Object

  Current dimensions to use for this data source

### filterCondition

- get filterCondition(): string
- set filterCondition(filterCondition: string): void

- Inherited from ngeoDatasourceOGC.filterCondition

  - Defined in src/datasource/OGC.js:611

  #### Returns string

  Filter condition

- Inherited from ngeoDatasourceOGC.filterCondition

  - Defined in src/datasource/OGC.js:618

  #### Parameters

  - ##### filterCondition: string

    Filter condition

  #### Returns void

  Filter condition

### id

- get id(): number

- Inherited from ngeoDatasourceOGC.id

  - Defined in src/datasource/DataSource.js:171

  #### Returns number

  Id

### identifierAttribute

- get identifierAttribute(): string

- Inherited from ngeoDatasourceOGC.identifierAttribute

  - Defined in src/datasource/DataSource.js:178

  #### Returns string

  Identifier attribute

### legend

- get legend(): Legend

- - Defined in src/datasource/ExternalOGC.js:53

  #### Returns Legend

  legend objects

### maxResolution

- get maxResolution(): number

- Inherited from ngeoDatasourceOGC.maxResolution

  - Defined in src/datasource/DataSource.js:185

  #### Returns number

  Maximum resolution

### minResolution

- get minResolution(): number

- Inherited from ngeoDatasourceOGC.minResolution

  - Defined in src/datasource/DataSource.js:192

  #### Returns number

  Minimum resolution

### name

- get name(): string

- Inherited from ngeoDatasourceOGC.name

  - Defined in src/datasource/DataSource.js:199

  #### Returns string

  Name

### ogcAttributesWFS

- get ogcAttributesWFS(): Object

- Inherited from ngeoDatasourceOGC.ogcAttributesWFS

  - Defined in src/datasource/OGC.js:906

  Returns the ogc attributes of only the WFS layers of this data source that are queryable.

  #### Returns Object

### ogcAttributesWMS

- get ogcAttributesWMS(): Object

- Inherited from ngeoDatasourceOGC.ogcAttributesWMS

  - Defined in src/datasource/OGC.js:925

  Returns the ogc attributes of only the WMS layers of this data source that are queryable.

  #### Returns Object

### ogcImageType

- get ogcImageType(): string

- Inherited from ngeoDatasourceOGC.ogcImageType

  - Defined in src/datasource/OGC.js:700

  #### Returns string

  OGC image type

### ogcServerType

- get ogcServerType(): string

- Inherited from ngeoDatasourceOGC.ogcServerType

  - Defined in src/datasource/OGC.js:721

  #### Returns string

  OGC server type

### ogcType

- get ogcType(): string

- Inherited from ngeoDatasourceOGC.ogcType

  - Defined in src/datasource/OGC.js:728

  #### Returns string

  OGC type

### queryIconPosition

- get queryIconPosition(): number[]

- Inherited from ngeoDatasourceOGC.queryIconPosition

  - Defined in src/datasource/OGC.js:735

  #### Returns number[]

  The queryIconPosition

### queryable

- get queryable(): boolean

- Inherited from ngeoDatasourceOGC.queryable

  - Defined in src/datasource/OGC.js:945

  Whether the data source is queryable or not. For an OGC data source to be queryable, it requires the support of WFS or WMS and at least one ogc layer to be querable.

  #### Returns boolean

### snappable

- get snappable(): boolean

- Inherited from ngeoDatasourceOGC.snappable

  - Defined in src/datasource/OGC.js:742

  #### Returns boolean

  Snappable

### snappingToEdges

- get snappingToEdges(): boolean

- Inherited from ngeoDatasourceOGC.snappingToEdges

  - Defined in src/datasource/OGC.js:749

  #### Returns boolean

  Snapping to edges

### snappingToVertice

- get snappingToVertice(): boolean

- Inherited from ngeoDatasourceOGC.snappingToVertice

  - Defined in src/datasource/OGC.js:756

  #### Returns boolean

  Snapping to vertices

### snappingTolerance

- get snappingTolerance(): number

- Inherited from ngeoDatasourceOGC.snappingTolerance

  - Defined in src/datasource/OGC.js:763

  #### Returns number

  Snapping tolerance

### supportsAttributes

- get supportsAttributes(): boolean

- Inherited from ngeoDatasourceOGC.supportsAttributes

  - Defined in src/datasource/OGC.js:980

  To be able to do advanced operations on a data source, such as editing or filtering, a data source must be bound to 1 set of attributes. These attributes are the ones defined by an ogcLayer. This means that to be considered to support having attributes defined, you either need to define them directly when creating the data source, or if you let the querent service get them for you using a WFS DescribeFeatureType request, the data source must have only 1 ogcLayer set, which must be queryable.

  #### Returns boolean

  Supports attributes.

### supportsDynamicInRange

- get supportsDynamicInRange(): boolean

- Inherited from ngeoDatasourceOGC.supportsDynamicInRange

  - Defined in src/datasource/DataSource.js:220

  #### Returns boolean

  Whether the data source supports a dynamic `inRange` property or not, i.e. whether it can be calculated.

### supportsWFS

- get supportsWFS(): boolean

- Inherited from ngeoDatasourceOGC.supportsWFS

  - Defined in src/datasource/OGC.js:964

  #### Returns boolean

  Whether the data source supports making WFS requests or not.

### supportsWMS

- get supportsWMS(): boolean

- Inherited from ngeoDatasourceOGC.supportsWMS

  - Defined in src/datasource/OGC.js:993

  #### Returns boolean

  Whether the data source supports making WMS requests or not.

### supportsWMTS

- get supportsWMTS(): boolean

- Inherited from ngeoDatasourceOGC.supportsWMTS

  - Defined in src/datasource/OGC.js:1000

  #### Returns boolean

  Whether the data source supports making WTMS requests or not.

### timeAttributeName

- get timeAttributeName(): string

- Inherited from ngeoDatasourceOGC.timeAttributeName

  - Defined in src/datasource/OGC.js:770

  #### Returns string

  Time attribute name

### timeProperty

- get timeProperty(): TimeProperty

- Inherited from ngeoDatasourceOGC.timeProperty

  - Defined in src/datasource/OGC.js:777

  #### Returns TimeProperty

  Time property

### timeRangeValue

- get timeRangeValue(): TimeRange
- set timeRangeValue(range: TimeRange): void

- Inherited from ngeoDatasourceOGC.timeRangeValue

  - Defined in src/datasource/OGC.js:625

  #### Returns TimeRange

  Time range value

- Inherited from ngeoDatasourceOGC.timeRangeValue

  - Defined in src/datasource/OGC.js:644

  #### Parameters

  - ##### range: TimeRange

    Time range value

  #### Returns void

  Time range value

### wfsFeatureNS

- get wfsFeatureNS(): string

- Inherited from ngeoDatasourceOGC.wfsFeatureNS

  - Defined in src/datasource/OGC.js:784

  #### Returns string

  WFS feature namespace

### wfsFeaturePrefix

- get wfsFeaturePrefix(): string

- Inherited from ngeoDatasourceOGC.wfsFeaturePrefix

  - Defined in src/datasource/OGC.js:791

  #### Returns string

  WFS feature prefix

### wfsFormat

- get wfsFormat(): WFS

- Inherited from ngeoDatasourceOGC.wfsFormat

  - Defined in src/datasource/OGC.js:1007

  #### Returns WFS

  WFS format.

### wfsLayers

- get wfsLayers(): WFSLayer[]

- Inherited from ngeoDatasourceOGC.wfsLayers

  - Defined in src/datasource/OGC.js:714

  #### Returns WFSLayer[]

  WFS layers

### wfsOutputFormat

- get wfsOutputFormat(): string

- Inherited from ngeoDatasourceOGC.wfsOutputFormat

  - Defined in src/datasource/OGC.js:798

  #### Returns string

  WFS output format

### wfsUrl

- get wfsUrl(): string

- Inherited from ngeoDatasourceOGC.wfsUrl

  - Defined in src/datasource/OGC.js:805

  #### Returns string

  WFS url

### wmsFormat

- get wmsFormat(): WMSGetFeatureInfo | default

- Inherited from ngeoDatasourceOGC.wmsFormat

  - Defined in src/datasource/OGC.js:1014

  #### Returns WMSGetFeatureInfo | default

  WMS format.

### wmsInfoFormat

- get wmsInfoFormat(): string

- Inherited from ngeoDatasourceOGC.wmsInfoFormat

  - Defined in src/datasource/OGC.js:812

  #### Returns string

  WMS info format

### wmsIsSingleTile

- get wmsIsSingleTile(): boolean

- Inherited from ngeoDatasourceOGC.wmsIsSingleTile

  - Defined in src/datasource/OGC.js:819

  #### Returns boolean

  WMS is single tile

### wmsLayers

- get wmsLayers(): WMSLayer[]

- Inherited from ngeoDatasourceOGC.wmsLayers

  - Defined in src/datasource/OGC.js:707

  #### Returns WMSLayer[]

  WMS layers

### wmsUrl

- get wmsUrl(): string

- Inherited from ngeoDatasourceOGC.wmsUrl

  - Defined in src/datasource/OGC.js:826

  #### Returns string

  WMS url

### wmtsLayer

- get wmtsLayer(): string

- Inherited from ngeoDatasourceOGC.wmtsLayer

  - Defined in src/datasource/OGC.js:833

  #### Returns string

  WMTS layer

### wmtsUrl

- get wmtsUrl(): string

- Inherited from ngeoDatasourceOGC.wmtsUrl

  - Defined in src/datasource/OGC.js:840

  #### Returns string

  WMTS url

## Methods

### combinableWithDataSourceForWFS

- combinableWithDataSourceForWFS(dataSource: OGC): boolean

- Inherited from ngeoDatasourceOGC.combinableWithDataSourceForWFS

  - Defined in src/datasource/OGC.js:1027

  #### Parameters

  - ##### dataSource: OGC

    Data source.

  #### Returns boolean

  Whether this data source can be combined to the given other data source to fetch features in a single WFS request.

### combinableWithDataSourceForWMS

- combinableWithDataSourceForWMS(dataSource: OGC): boolean

- Inherited from ngeoDatasourceOGC.combinableWithDataSourceForWMS

  - Defined in src/datasource/OGC.js:1046

  #### Parameters

  - ##### dataSource: OGC

    Data source.

  #### Returns boolean

  Whether this data source can be combined to the given other data source to fetch features in a single WMS request.

### geometryName

- geometryName(layer: string): string

- Inherited from ngeoDatasourceOGC.geometryName

  - Defined in src/datasource/OGC.js:677

  #### Parameters

  - ##### layer: string

  #### Returns string

  Geometry name

### getAttributes

- getAttributes(): Attribute[]

- Inherited from ngeoDatasourceOGC.getAttributes

  - Defined in src/datasource/DataSource.js:157

  #### Returns Attribute[]

  Attributes

### getCommonOGCAttributes_

- getCommonOGCAttributes_(layerNames: string[]): Object

- Inherited from ngeoDatasourceOGC.getCommonOGCAttributes_

  - Defined in src/datasource/OGC.js:1282

  Collect the ogc attributes that are shared among the given layers, i.e. only the attributes that are in all the given layers are returned.

  Among the attributes, geometry columns are returned as well. Therefore, if there are no attributes with a geometry name returned, then the Filter tool have the possibilily to filter the data source using spatial filters.

  #### Parameters

  - ##### layerNames: string[]

    List of layer names

  #### Returns Object

### getFiltrableWFSLayerName

- getFiltrableWFSLayerName(): string

- Inherited from ngeoDatasourceOGC.getFiltrableWFSLayerName

  - Defined in src/datasource/OGC.js:1153

  Returns the filtrable WFS layer name.

  Although a data source may contain multiple WFS wfs layers, only the first one is returned. We don't need to return more than one, since in that case a group is used in the WMS GetMap query, and each queryable layers will end up being used in WFS GetData queries sent.

  #### Returns string

  WFS layer name.

### getInRangeWFSLayerNames

- getInRangeWFSLayerNames(res: number, queryableOnly?: boolean): string[]

- Inherited from ngeoDatasourceOGC.getInRangeWFSLayerNames

  - Defined in src/datasource/OGC.js:1101

  Returns a list of WFS layer names that are in range of a given resolution. If there's no WFS layers defined, an empty array is returned.

  #### Parameters

  - ##### res: number

    Resolution.

  - ##### queryableOnly: boolean = false

    Whether to additionally check if the WFS layer is queryable as well or not. Defaults to `false`.

  #### Returns string[]

  The WFS layer names that are in range.

### getWFSLayerNames

- getWFSLayerNames(queryableOnly?: boolean): string[]

- Inherited from ngeoDatasourceOGC.getWFSLayerNames

  - Defined in src/datasource/OGC.js:1128

  Returns the list of WFS layer names.

  #### Parameters

  - ##### queryableOnly: boolean = false

    Whether to additionally check if the WFS layer is queryable as well or not. Defaults to `false`.

  #### Returns string[]

  The WFS layer names.

### getWMSLayerNames

- getWMSLayerNames(queryableOnly?: boolean): string[]

- Inherited from ngeoDatasourceOGC.getWMSLayerNames

  - Defined in src/datasource/OGC.js:1078

  Returns the list of WMS layer names.

  #### Parameters

  - ##### queryableOnly: boolean = false

    Whether to additionally check if the WMS layer is queryable as well or not. Defaults to `false`.

  #### Returns string[]

  The WMS layer names.

### haveTheSameActiveDimensions

- haveTheSameActiveDimensions(dataSource: OGC): boolean

- Inherited from ngeoDatasourceOGC.haveTheSameActiveDimensions

  - Defined in src/datasource/OGC.js:1186

  #### Parameters

  - ##### dataSource: OGC

    Remote data source to compare with this one.

  #### Returns boolean

  Whether the two data sources have the same active dimensions. If both have no dimensions, they are considered to be sharing the same dimensions.

### haveTheSameActiveDimensionsFilters

- haveTheSameActiveDimensionsFilters(dataSource: OGC): boolean

- Inherited from ngeoDatasourceOGC.haveTheSameActiveDimensionsFilters

  - Defined in src/datasource/OGC.js:1224

  Compare active dimensions filters of two data sources. As OpenLayers WFS format does not allow constructing multiple typenames GetFeature request with different filters we need to combine data sources depending on active dimensions filters.

  export

  #### Parameters

  - ##### dataSource: OGC

    Remote data source to compare with this one.

  #### Returns boolean

  Whether the two data sources have the same active dimensions filters. If both have no dimensions, they are considered to be sharing the same dimensions filters.

### isAnyOGCLayerInRange

- isAnyOGCLayerInRange(res: number, queryableOnly?: boolean): boolean

- Inherited from ngeoDatasourceOGC.isAnyOGCLayerInRange

  - Defined in src/datasource/OGC.js:1067

  Check if there's at least one OGC layer in range of a given resolution.

  #### Parameters

  - ##### res: number

    Resolution.

  - ##### queryableOnly: boolean = false

    Whether to additionally check if the OGC layer is queryable as well or not. Defaults to `false`.

  #### Returns boolean

  At least one OGC layer is in range.

### setAttributes

- setAttributes(attributes: Attribute[]): void

- Inherited from ngeoDatasourceOGC.setAttributes

  - Defined in src/datasource/OGC.js:661

  #### Parameters

  - ##### attributes: Attribute[]

    Attributes

  #### Returns void

Generated using TypeDoc